Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236347 - evolution displays wrong message in preview pane, hangs on exit
Summary: evolution displays wrong message in preview pane, hangs on exit
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 7
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F8Target
TreeView+ depends on / blocked
 
Reported: 2007-04-13 11:54 UTC by Jonathan Kamens
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-07 13:58:20 UTC


Attachments (Terms of Use)

Description Jonathan Kamens 2007-04-13 11:54:52 UTC
I've got evolution-2.10.1-2.fc7.  I'm staring at an Evolution window where the
preview contents doesn't match the message I've selected.  In fact, regardless
of which message I select, the preview text remains stuck on an old message that
I'm no longer looking at.  I've tried disabling and re-enabling the preview,
switching from horizontal to vertical, switching to a different folder, etc. 
Nothing works -- the old message stays stuck in the preview window.  There are
two status messages below it -- "Formatting message (...)" and "Formatting
message (...)" (i.e., the same message appears twice).

I tried exiting from Evolution to solve this problem, and Evolution hung after I
selected Exit.  I don't know if the hang is related to the preview pane problem.
 Strace and lsof say that it's repeatedly writing the same message to the file
/tmp/orbit-jik/linc-6317-0-44fd0459b9c94.

Comment 1 Christopher Aillon 2007-04-17 19:01:45 UTC
Can you attach the strace output to the bug?

Comment 2 Jonathan Kamens 2007-04-17 20:49:44 UTC
Sorry, no, I don't have the strace output any more.


Comment 3 Matthew Barnes 2007-10-04 16:32:04 UTC
Moving to F8Target

Jonathan, are you still seeing this problem?  I think I fixed the hang-on-exit
issue awhile back.

Comment 4 Jonathan Kamens 2007-10-07 06:23:46 UTC
I have not seen this problem recently, but as I never figured out how to
reproduce it, I can't say for certain that it's fixed.  I suppose you could
close the ticket and I'll reopen it if the problem recurs.


Comment 5 Matthew Barnes 2007-10-07 13:58:20 UTC
Thanks for responding.  Yes, that's what I had in mind.  I'll close this as
WORKSFORME for now, but feel free to re-open if you see it again.


Note You need to log in before you can comment on or make changes to this bug.